Uploaded image for project: 'PUBLIC - Liferay BLADE'
  1. PUBLIC - Liferay BLADE
  2. BLADE-651

Improve creating a maven workspace project using -v

    Details

    • Type: Task
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: master
    • Fix Version/s: 4.0.10
    • Component/s: blade-cli
    • Labels:
      None

      Description

      Instead of specific target platform version, creating a maven workspace using liferay_version run into an error. For example, `blade init -b maven -v 7.4`, it shows error:
      Specified Liferay version is invalid. Must be in range [7,8.0)
      java.lang.IllegalArgumentException: Specified Liferay version is inval

        Attachments

          Activity

            People

            Assignee:
            seiphon.wang Seiphon Wang
            Reporter:
            yanan.yuan Yanan Yuan(Ashley Yuan)
            Participants of an Issue:
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Packages

                Version Package
                4.0.10